export type Config = {
    readonly [key: string]: number;
};
export type MediaQuery<C extends Config> = {
    breakpoint: keyof C;
    maxWidth: number | null;
    minWidth: C[keyof C];
    query: string;
};
/**
 * Create media query objects
 * @param breakpoints the list of configured breakpoint names and their pixel values
 */
declare const createMediaQueries: (breakpoints: Config) => MediaQuery<Config>[];
export default createMediaQueries;
